<?php
/**
 * MyBB 1.4
 * Copyright  2008 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybboard.com
 * License: http://www.mybboard.net/about/license
 *
 * $Id: upgrade10.php 3988 2008-07-06 00:54:32Z Tikitiki $
 */

/**
 * Upgrade Script: 1.2.7, 1.2.8, or 1.2.9
 */


$upgrade_detail = array(
	"revert_all_templates" => 0,
	"revert_all_themes" => 0,
	"revert_all_settings" => 0
);

@set_time_limit(0);

function upgrade10_dbchanges()
{
	global $db, $output, $mybb;

	$output->print_header("Ex&eacute;cution des requ&ecirc;tes");

	echo "<p>Ex&eacute;cution des requ&egrave;tes n&eacute;cessaires &agrave; la mise &agrave; jour...</p>";

	$db->write_query("UPDATE ".TABLE_PREFIX."templates SET version='0' WHERE version=''");
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."templates CHANGE version version int unsigned NOT NULL default '0'");

	$contents .= "Cliquez suivant pour continuer le processus de mise &agrave; jour.</p>";
	$output->print_contents($contents);
	$output->print_footer("10_done");
}

?>